/* wrapper dla inputa kalendarza */
.input-datepicker-cnt {
	position: relative;
	display: inline-block;
	width: 100%;
}

.input-datepicker-cnt-border {
	border: 1px solid #FFFFFF
}

/* input kalendarza */
.input-datepicker {
	background-position: calc(100% - 10px) center;
	background-repeat: no-repeat;
	cursor: pointer;
}

/* kalendarz */
.datepicker {
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	max-width: 300px;
	min-height: 300px;
	background-color: white;
	padding: 5px;
	border: 1px solid #ddd;
	box-shadow: 2px 2px 1px rgba(0,0,0,0.1);
	font-family: sans-serif;
	display: block;
	z-index: 10;
	opacity: 0;
	transition: 0.4s opacity;
	pointer-events: none;
}
.datepicker.datepicker-show {
	opacity: 1;
	pointer-events: all;
}

/* przyciski prev-next */
.datepicker-prev-next {
	height: 30px;
	display: flex;
	justify-content: space-between;
}
.datepicker .input-prev,
.datepicker .input-next {
	position: relative;
	z-index: 1;
	cursor:pointer;
	width: 30px;
	font-family: sans-serif;
	background-color: transparent;
	border: 0;
	color: #333;
}
.datepicker .input-prev:active,
.datepicker .input-next:active {
	background-color: midnightblue;
	color: white;
}

/* nazwa miesiąca i roku */
.datepicker .date-name {
	font-size: 12px;
	color: #666;
	padding: 0 40px;
	text-align: center;
	line-height: 30px;
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	text-align: center;
	box-sizing: border-box;
}

/* nagłówek kalendarza */
.datepicker .datepicker-header {
	height: 30px;
	position: relative;
}

/* tabela kalendarza */
.datepicker .datepicker-table-cnt {
	position: relative;
	padding-top: 10px;
}
.datepicker .datepicker-table {
	font-size: 12px;
	color: #666;
	width: 100%;
}
.datepicker .datepicker-table td {
	text-align: center;
	width: 14.2857%;
}
.datepicker .datepicker-table th {
	font-family: sans-serif;
	font-weight: 400;
	padding-bottom: 10px;
	font-size:11px;
	color:#aaa;
}
.datepicker .datepicker-table td.day {
	background-color: #fafafa;
	height: 40px;
	font-size: 11px;
	font-family: sans-serif;
	font-weight: 600;
}
.datepicker .datepicker-table td.day:hover {
	background-color: midnightblue;
	color: white;
	cursor: pointer;
}
/* nieużywane w projekcie */
.datepicker .datepicker-table td.current-day {
	background-color: #F15C5C;
	color:#fff;
}
.datepicker .datepicker-table td.current-day:hover {
	background-color: #DE5858;
}